Opened 3 years ago

Closed 3 years ago

#10777 closed defect (fixed)

junit 4.12 does not build with java 10

Reported by: Pierre Labastie Owned by: DJ Lucas
Priority: normal Milestone: 8.3
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

See report at https://github.com/junit-team/junit4/issues/1522.

Waiting to see if upstream wants to fix it. Note that distros have several versions of java, and they can use a previous version to build, so they do not have patches or workarounds. Or, like archlinux, they directly install the compiled jar...

Change History (3)

comment:1 by Pierre Labastie, 3 years ago

Maybe time to look at #10548...

comment:2 by DJ Lucas, 3 years ago

Owner: changed from blfs-book to DJ Lucas
Status: newassigned

comment:3 by DJ Lucas, 3 years ago

Resolution: fixed
Status: assignedclosed

Fixed in r20401.

Note: See TracTickets for help on using tickets.